package com.zjrs.zwnw.rlzysc.dto;

import jakarta.validation.constraints.NotBlank;

public class ZphXxUDTO {
    private String rsrlzyzphgllsh;//招聘会流水号
    @NotBlank(message = "缺少招聘会编号参数")
    private String zphbh;//招聘会编号
    @NotBlank(message = "缺少招聘会名称参数")
    private String zphmc;//招聘会名称
//    @NotBlank(message = "缺少招聘会状态参数")
    private String zt;//招聘会状态
    @NotBlank(message = "缺少举办日期起参数")
    private String jbrqc;//举办日期起
    @NotBlank(message = "缺少举办日期止参数")
    private String jbrqz;//举办日期止
    @NotBlank(message = "缺少开始时间参数")
    private String kssj;//开始时间
    @NotBlank(message = "缺少结束时间参数")
    private String jssj;//结束时间
    private String jbcs;//举办场所
//    @NotBlank(message = "缺少联系人参数")
    private String lxr;//联系人
//    @NotBlank(message = "缺少联系电话参数")
    private String lxdh;//联系电话
//    @NotBlank(message = "缺少电子邮箱参数")
    private String dzyx;//电子邮箱
//    @NotBlank(message = "缺少传真参数")
    private String cz;//传真
//    @NotBlank(message = "缺少联系座机参数")
    private String lxzj;
    @NotBlank(message = "缺少主办单位参数")
    private String jbdw;//主办单位
    @NotBlank(message = "缺少承办单位参数")
    private String cbdw;//承办单位
//    @NotBlank(message = "缺少举办城市参数")
    private String cs;//举办城市
//    @NotBlank(message = "缺少参会单位数参数")
    private String chdws;//参会单位数
//    @NotBlank(message = "缺少展位数参数")
    private String zws;//展位数
    @NotBlank(message = "缺少招聘会类型参数")
    private String zphlx;//招聘会类型
//    @NotBlank(message = "缺少招聘会介绍参数")
    private String zphjs;//招聘会介绍
//    @NotBlank(message = "缺少备注参数")
    private String bz;//备注
    private String zphjblx ;//招聘会举办类型
    private String rstycclsh;//招聘会主题图片
    private String ssdq;//所属地区
    private String xbdw;//协办单位

    public String getSsdq() {
        return ssdq;
    }

    public void setSsdq(String ssdq) {
        this.ssdq = ssdq;
    }

    public String getZphjblx() {
        return zphjblx;
    }

    public void setZphjblx(String zphjblx) {
        this.zphjblx = zphjblx;
    }

    public String getRstycclsh() {
        return rstycclsh;
    }

    public void setRstycclsh(String rstycclsh) {
        this.rstycclsh = rstycclsh;
    }

    public String getRsrlzyzphgllsh() {
        return rsrlzyzphgllsh;
    }

    public void setRsrlzyzphgllsh(String rsrlzyzphgllsh) {
        this.rsrlzyzphgllsh = rsrlzyzphgllsh;
    }

    public String getCs() {
        return cs;
    }

    public void setCs(String cs) {
        this.cs = cs;
    }

    public String getZphbh() {
        return zphbh;
    }

    public void setZphbh(String zphbh) {
        this.zphbh = zphbh;
    }

    public String getZphmc() {
        return zphmc;
    }

    public void setZphmc(String zphmc) {
        this.zphmc = zphmc;
    }

    public String getZt() {
        return zt;
    }

    public void setZt(String zt) {
        this.zt = zt;
    }

    public String getJbrqc() {
        return jbrqc;
    }

    public void setJbrqc(String jbrqc) {
        this.jbrqc = jbrqc;
    }

    public String getJbrqz() {
        return jbrqz;
    }

    public void setJbrqz(String jbrqz) {
        this.jbrqz = jbrqz;
    }

    public String getKssj() {
        return kssj;
    }

    public void setKssj(String kssj) {
        this.kssj = kssj;
    }

    public String getJssj() {
        return jssj;
    }

    public void setJssj(String jssj) {
        this.jssj = jssj;
    }

    public String getJbcs() {
        return jbcs;
    }

    public void setJbcs(String jbcs) {
        this.jbcs = jbcs;
    }

    public String getLxr() {
        return lxr;
    }

    public void setLxr(String lxr) {
        this.lxr = lxr;
    }

    public String getLxdh() {
        return lxdh;
    }

    public void setLxdh(String lxdh) {
        this.lxdh = lxdh;
    }

    public String getDzyx() {
        return dzyx;
    }

    public void setDzyx(String dzyx) {
        this.dzyx = dzyx;
    }

    public String getCz() {
        return cz;
    }

    public void setCz(String cz) {
        this.cz = cz;
    }

    public String getJbdw() {
        return jbdw;
    }

    public void setJbdw(String jbdw) {
        this.jbdw = jbdw;
    }

    public String getCbdw() {
        return cbdw;
    }

    public void setCbdw(String cbdw) {
        this.cbdw = cbdw;
    }

    public String getChdws() {
        return chdws;
    }

    public void setChdws(String chdws) {
        this.chdws = chdws;
    }

    public String getZws() {
        return zws;
    }

    public void setZws(String zws) {
        this.zws = zws;
    }

    public String getZphlx() {
        return zphlx;
    }

    public void setZphlx(String zphlx) {
        this.zphlx = zphlx;
    }

    public String getZphjs() {
        return zphjs;
    }

    public void setZphjs(String zphjs) {
        this.zphjs = zphjs;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz;
    }

    public String getLxzj() {
        return lxzj;
    }

    public void setLxzj(String lxzj) {
        this.lxzj = lxzj;
    }

    public String getXbdw() {
        return xbdw;
    }

    public void setXbdw(String xbdw) {
        this.xbdw = xbdw;
    }
}
